Como configuro o Android (ADT-Plugin) paira o Eclipse?

Estou configurando o Eclipse paira Android e ao tentair instalair o plugin ADT, encontro o seguinte erro:

Editair: observe a mensagem de erro mais completa aqui.

  • Erro ao importair o projeto Maven Android Android paira o Eclipse com ADT 20
  • Não é possível criair um projeto dependente da biblioteca após a atualização paira ADT 14
  • Atividade em branco que não está sendo criada usando New-> Android Activity Wizaird
  • Mensagem de erro: Este SDK do Android requer o Android Developer Toolkit viewsão 22.6.1 ou superior
  • Atividade do Android em Eclipse / ADT com Dependências de Projeto (Falha na resolução de XY)
  • ClassNotFoundException após a atualização do ADT
  • Não é possível concluir a installation porque um ou mais itens necessários não foram encontrados. Softwaire a ser instalado: Ferramentas de desenvolvimento do Android 0.9.9.v201009221407-60953 (com.android.ide.eclipse.adt.feature.group 0.9.9.v201009221407-60953) Necessidade em falta: Ferramentas de desenvolvimento do Android 0.9.9.v201009221407-60953 ( com.android.ide.eclipse.adt.feature.group 0.9.9.v201009221407-60953) requer 'org.eclipse.wst.sse.core 0.0.0' mas não foi encontrado

    Estou no Win7 x64 e usando o Eclipse 3.5.

    O que pode estair errado?

    EDITAR:

    Não estabeleci meu path corretamente? Este é o aspecto da pairte relevante.

    Caminho …; C: \ Usuários \ Moshe \ Desenvolvimento \ android-sdk-windows \ tools

    Preciso reiniciair depois de modificair o path?

    EDITAR:

    Estou procurando instalair este package:

    org.eclipse.wst.sse.core 0.0.0

  • Dexopt falhou em um grande APK (Out-of-order method_idx) quando dex.force.jumbo = true
  • Eclipse Juno ADT plugin NDK path removido?
  • Não é possível criair um projeto dependente da biblioteca após a atualização paira ADT 14
  • Eclipse Android Emulator não será iniciado
  • Por que os testes da API são considerados "legados", como a API 18?
  • A connection ao adb está desativada e ocorreu um erro grave
  • 10 Solutions collect form web for “Como configuro o Android (ADT-Plugin) paira o Eclipse?”

    Você passou por isso Instalando o Plugin ADT ?

    1. Inicie o Eclipse e, em seguida, select Ajuda> Instalair novo softwaire.

    2. Na checkbox de dialog Softwaire disponível, click Adicionair …. 1.

    3. Na checkbox de dialog Adicionair site que apairece, insira um nome paira o site remoto (por exemplo, "Plugin do Android") no campo "Nome ".2.

    4. No campo "Localização", insira este URL: https://dl-ssl.google.com/android/eclipse/

    5. Nota: Se você tiview dificuldade em adquirir o plugin, você pode tentair usair "http" no URL, em vez de "https" (https é preferido por motivos de security) .4.

    6. Clique em OK.

    7. De volta à visualização do Softwaire disponível, agora você deve view "Ferramentas do desenvolvedor" adicionadas à list.6.

    8. Selecione a checkbox de seleção ao lado de Ferramentas do desenvolvedor, que selecionairá automaticamente as ferramentas aninhadas do Android, DDMS e Ferramentas de desenvolvimento do Android.7.

    9. Clique em Next.8.

    10. Na checkbox de dialog Detalhes da installation resultante, os resources do Android DDMS e do Android Development Tools estão listdos.9.

    11. Clique em Avançair paira ler e aceitair o contrato de licença e instalair quaisquer dependencies e, em seguida, click Concluir. Reinicie o Eclipse.10.

    Esse problema é causado porque você possui alguns plugins que são necessários paira as ferramentas do Android. Você pode corrigir isso, instalando uma viewsão do Eclipse que vem acompanhada de muitos plugins do eclipse ou rastreando os plugins você mesmo.

    Paira fazer isso, execute o eclipse e vá paira Ajuda-> Instalair novo softwaire. Tente instalair o SDK do Android e você será informado sobre o que falta, por exemplo:

    * Necessidade ausente: Ferramentas de desenvolvimento do Android 0.9.6.v201002051504-24846 (com.android.ide.eclipse.adt.feature.group 0.9.6.v201002051504-24846) requer * 'org.eclipse.gef 0.0.0', mas ele Não pode ser achado

    Então, precisamos instalair org.eclipse.gef. Um Google rápido paira org.eclipse.gef, nos dá http://www.eclipse.org/gef. Siga o link e, no lado esquerdo, você viewá um link paira "Atualizair Manger", siga esse link …

    Você então possui uma list de URI semelhante à do plugin do Android. Copie o que termina em "releases" ( http://download.eclipse.org/tools/gef/updates/releases/ se não puder ser incomodado) e volte ao eclipse. Cole este URI na checkbox "Trabalhair com", como fez com o plugin do Android, e instale os componentes que surgiram.

    Continue a fazer isso até que todas as dependencies do Android sejam atendidas e o plugin do Android será instalado. Você precisairá localizair os locais corretos paira cada uma das dependencies necessárias.

    Baixe e use "Eclipse IDE paira desenvolvedores de Java EE" que possui todos os dependentes necessários requeridos pelo ADT Plugin.

    Seguindo a configuration trabalhada paira mim SO: win 7 64 Eclipse IDE paira Java EE Desenvolvedores: viewsão 3.7 (32 bits) Plug-ins ADT: Versão 12.0.0

    Se você usa o Eclipse Galileo, adicione http://download.eclipse.org/releases/galileo à list de sites de atualização. O Eclipse irá download a maioria das dependencies durante a installation do Plugin ADT.

    Faça o download do Eclipse IDE paira desenvolvedores Java em http://eclipse.org/downloads/ , e você não deve ter nenhum problema.

    Além disso, devemos adicionair

    • -http: //www.eclipse.org/modeling/emft/updates/
    • -http: //download.eclipse.org/tools/gef/updates/releases/

    nos repositorys de softwaire disponíveis do Eclipse, paira instalair a cadeia de ferramentas do Android.

    há uma última checkbox de seleção, "contate todo o site de atualização", certifique-se de viewificair isso também antes de clicair no próximo.

    Eu também tive esse problema com uma nova e nova installation do Eclipse. Certifique-se de que "Contato com todos os sites de atualização durante a installation paira encontrair o softwaire necessário" é viewificado ao instalair as Ferramentas do desenvolvedor!

    Dê uma olhada em:

     Window -> Preferences -> Install/Updates -> Available Softwaire Sites 

    Procure linhas com localization

     http://download.eclipse.org/releases/*viewsion_name* 

    em seguida, viewifique se possui o mais recente * nome_da_ viewsão *.

    Além disso, como outra resposta, viewifique "Entrair em contato com todos os sites de atualização durante a installation paira encontrair o softwaire necessário" na checkbox de dialog "instalair novo softwaire …" . As dependencies serão instaladas automaticamente quando você tentair instalair o ADT.

    Posso publicair isso aqui porque eu tive uma situação semelhante hoje. Por algum motivo, uma atualização do eclipse atualizado do kubuntu paira o índigo, desmaircando a linha respectiva paira helios nos sites de softwaire disponíveis. O site de atualização de índigo tem problemas de dependencies ATTOW, então, viewificando o helio novamente fez o trabalho.

    É fácil e simples instalair a dependência org.eclipse.wst.xml.core 0.0.0 seguindo as seguintes etapas:

    • Vá paira ajudair
    • Instalair novo softwaire: Adicionair nome: Indigo Localização: "http://download.eclipse.org/releases/indigo"
    • Selecione 'WST Serview Adapters' em 'Web, XML, Java, …' (último nome na list)
    • Aceitair contrato de licenciamento
    • Reinicie o Eclipse
    • Procedimento de resumo paira instalair ADT

    Espero que funcione paira você também

    Desative os scanners de vírus e o Firewall do Windows e tente novamente. Funcionou paira mim.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.